Subject: Re: Is anyone using the C67x00 USB Host ?

From: "David H. Lynch Jr." <[email-masked]>
Date: Tue, 09 Dec 2008 15:27:34 -0500

Michal Simek wrote:
> Hi David,
>
> currently I am working on backport this driver to 2.6.20 to Microblaze but
> a lot of things are the same.
>
> From HW site. Interrupt goes outside of IP directly to interrupt controller.
> And you need to call platform_device_register with proper structure.
>
> Could you send your kernel log?
>   
    I can post a log, but:
       Interrupts are occuring, and being trapped.
    The following code in the driver just seems to always return
IRQ_NONE when called from an interrupt.
   
        int_status = c67x00_ll_hpi_status(c67x00);
        if (!int_status)
            return IRQ_NONE;

    However, if I add a timer that just polls the interrupt handler, I
have the driver working (on the first port) but slowly.

> Thanks,
> Michal

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein